
Foreman - Feature #11379

Audit search does not work with hostgroup/os titles

08/17/2015 04:00 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Search   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2613

  

Description

It matches on the hostgroup/os name only, so some searches don't work as expected. Instead we could have a field like in Host

search, hostgroup_title, os_title that we could use for this.

Credits to cosmolux on foreman-users https://groups.google.com/forum/#!topic/foreman-users/6IfK1m3Vfe4 for reporting this.

Associated revisions

Revision c577937c - 08/24/2015 08:42 AM - Daniel Lobato Garcia

Fixes #11379 - Audit search for hostgroup/OS title

Before this commit, hostgroup and OS could only be searched by name,

which is impractical as names are not unique. As we do on Hosts search,

I've added hostgroup_title and os_title as keys to search on /audits.

Revision e18330e2 - 09/09/2015 10:57 AM - Daniel Lobato Garcia

Fixes #11379 - Audit search for hostgroup/OS title

Before this commit, hostgroup and OS could only be searched by name,

which is impractical as names are not unique. As we do on Hosts search,

I've added hostgroup_title and os_title as keys to search on /audits.

(cherry picked from commit c577937cf3e52ef217dbf5c4132236322bbd43fe)

History

#1 - 08/17/2015 04:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2613 added

- Pull request deleted ()

#2 - 08/24/2015 08:42 AM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 72

#3 - 08/24/2015 09:03 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c577937cf3e52ef217dbf5c4132236322bbd43fe.
